#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  GDL-3.34.0

- Next

  GLU-9.0.1

- Up
- Home

# GLEW-2.2.0

## Introduction to GLEW

GLEW is the OpenGL Extension Wrangler Library.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/glew/glew-2.2.0.tgz

- Download MD5 sum: 3579164bccaef09e36c0af7f4fd5c7c7

- Download size: 820 KB

- Estimated disk space required: 16 MB

- Estimated build time: less than 0.1 SBU

### glew Dependencies

#### Required

Mesa-20.3.4

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/GLEW

## Installation of GLEW

Install GLEW by running the following commands:

    sed -i 's%lib64%lib%g' config/Makefile.linux &&
    sed -i -e '/glew.lib.static:/d' \
           -e '/0644 .*STATIC/d'    \
           -e 's/glew.lib.static//' Makefile     &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install.all

## Command Explanations

sed -i 's%lib64%lib%g' ...: This ensures that the library is installed in `/usr/lib`.

sed -i -e '/glew.lib.static:/d' ...: This suppresses the static library.

make install.all: This installs the programs as well as the library.

## Contents

Installed Programs: glewinfo and visualinfo
Installed Library: libGLEW.so
Installed Directory: /usr/include/GL

### Short Descriptions

glewinfo | provides information about the supported extensions
visualinfo | is an extended version of glxinfo
`libGLEW.so` | provides functions to access OpenGL extensions

Last updated on 2021-02-22 21:05:47 -0800

- Prev

  GDL-3.34.0

- Next

  GLU-9.0.1

- Up
- Home